#!/bin/sh
################################################
#Shell script to unpack and create the directory structure needed
#to make EFS CDROM images from the SGI tar files.
#It assumes that labelefs and mkefs are in your path.
#It is setup for the 6.5.22 release disks.

#Variables
release=22
year=2003
disks=3

TOOLPATH="/usr/local/bin"

Unzip all the tarballs
for i in *; do gunzip $i; done

#Make Dir structure
for i in 1 2 3; do
mkdir $i
mkdir ${i}/dist
done
mkdir cdimages

#Mv tarballs and untar
for i in 1 2 3 ; do
mv IRIX6.5.${release}_${i}of${disks}.tar ${i}/dist/ 
cd ${i}/dist
tar -xf IRIX6.5.${release}_${i}of${disks}.tar
rm IRIX6.5.${release}_${i}of${disks}.tar
cd ../../
$TOOLPATH/labelefs $release $year $i
$TOOLPATH/mkefs -f ./$i -o ./cdimages
cd cdimages
cat $i.vh $i.efs > irix_6.5.${release}.${i}.of${disks}.image
rm $i.vh
rm $i.efs
cd ../
done

exit
